petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDualSpaceLagrangeSetTensor

Set the tensor nature of the dual space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeSetTensor(PetscDualSpace sp, PetscBool tensor)

Not collective

### Input Parameters

| sp | - The PetscDualSpace
| tensor | - Whether the dual space has tensor layout (vs. simplicial)

### See Also

PetscDualSpaceLagrangeGetTensor(), PetscDualSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceLagrangeSetTensor_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages